<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class City extends Model
{
    protected $fillable = [
        'name',
        'country',
    ];

    public function zones(): HasMany
    {
        return $this->hasMany(Zone::class);
    }

    public function professionalProfiles(): HasMany
    {
        return $this->hasMany(ProfessionalProfile::class);
    }

    public function propertyRequests(): HasMany
    {
        return $this->hasMany(PropertyRequest::class);
    }

    public function propertyProposals(): HasMany
    {
        return $this->hasMany(PropertyProposal::class);
    }
}
